Main Page Widgets Namespaces Book

# Gtk::ComboBoxEntry Class Reference
[Widgets]

Inheritance diagram for Gtk::ComboBoxEntry:

[legend]
List of all members.

## Detailed Description

A ComboBox which has an Entry widget as child and a list of strings as popup.

You can get the Entry by using get_child(). To add and remove strings from the list, just modify the model using its data manipulation API.

## Public Member Functions

virtual | ~ComboBoxEntry ()
GtkComboBoxEntry* | gobj ()
| Provides access to the underlying C GtkObject.
const GtkComboBoxEntry* | gobj () const
| Provides access to the underlying C GtkObject.
| ComboBoxEntry ()
| ComboBoxEntry (const Glib::RefPtr<TreeModel>& model, const TreeModelColumnBase& text_column)
| ComboBoxEntry (const Glib::RefPtr<TreeModel>& model, int text_column=0)
void | set_text_column (const TreeModelColumnBase& text_column) const
| Sets the model column which entry_box should use to get strings from to be text_column .
void | set_text_column (int text_column) const
| Sets the model column which entry_box should use to get strings from to be text_column .
int | get_text_column () const
| Returns the column which entry_box is using to get the strings from.

## Related Functions

(Note that these are not member functions.)
Gtk::ComboBoxEntry* | wrap (GtkComboBoxEntry* object, bool take_copy=false)

## Constructor & Destructor Documentation

virtual Gtk::ComboBoxEntry::~ComboBoxEntry | ( |  | ) | `[virtual]`

Gtk::ComboBoxEntry::ComboBoxEntry | ( |  | ) |

Gtk::ComboBoxEntry::ComboBoxEntry | ( | const Glib::RefPtr<TreeModel>& | model,
|  | const TreeModelColumnBase& | text_column
| ) | `[explicit]`

Gtk::ComboBoxEntry::ComboBoxEntry | ( | const Glib::RefPtr<TreeModel>& | model,
|  | int | text_column = `0`
| ) | `[explicit]`

## Member Function Documentation

int Gtk::ComboBoxEntry::get_text_column | ( |  | ) | const

Returns the column which entry_box is using to get the strings from.

Returns:
  A column in the data source model of entry_box .

Since: 2.4.

const GtkComboBoxEntry* Gtk::ComboBoxEntry::gobj | ( |  | ) | const`[inline]`

| Provides access to the underlying C GtkObject. Reimplemented from Gtk::ComboBox.

GtkComboBoxEntry* Gtk::ComboBoxEntry::gobj | ( |  | ) | `[inline]`

| Provides access to the underlying C GtkObject. Reimplemented from Gtk::ComboBox.

void Gtk::ComboBoxEntry::set_text_column | ( | int | text_column | ) | const

Sets the model column which entry_box should use to get strings from to be text_column .

Since: 2.4.

Parameters:

  | text_column | A column in model to get the strings from.

void Gtk::ComboBoxEntry::set_text_column | ( | const TreeModelColumnBase& | text_column | ) | const

Sets the model column which entry_box should use to get strings from to be text_column .

Since: 2.4.

Parameters:

  | text_column | A column in model to get the strings from.

## Friends And Related Function Documentation

Gtk::ComboBoxEntry* wrap | ( | GtkComboBoxEntry* | object,
|  | bool | take_copy = `false`
| ) | `[related]`

Parameters:

  | object | The C instance
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- comboboxentry.h